Bug 1365770 - Installation failed using rpm playbook + anisble-2.2
Summary: Installation failed using rpm playbook + anisble-2.2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Jason DeTiberus
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 07:55 UTC by Johnny Liu
Modified: 2016-09-26 13:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 13:48:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Johnny Liu 2016-08-10 07:55:07 UTC
Description of problem:
Failed upon the following step:
...
TASK [openshift_facts : Gather Cluster facts and set is_containerized if needed] ***
Wednesday 10 August 2016  02:31:48 -0400 (0:00:12.151)       0:00:18.741 ****** 
fatal: [openshift-146.lab.eng.nay.redhat.com]: FAILED! => {"changed": false, "failed": true, "module_stderr": "", "module_stdout": "Traceback (most recent call last):\r\n  File \"/tmp/ansible_nzziCQ/ansible_module_openshift_facts.py\", line 2150, in <module>\r\n    main()\r\n  File \"/tmp/ansible_nzziCQ/ansible_module_openshift_facts.py\", line 2131, in main\r\n    protected_facts_to_overwrite)\r\n  File \"/tmp/ansible_nzziCQ/ansible_module_openshift_facts.py\", line 1603, in __init__\r\n    self.system_facts = ansible_facts(module, ['hardware', 'network', 'virtual', 'facter'])\r\n  File \"/tmp/ansible_nzziCQ/ansible_modlib.zip/ansible/module_utils/facts.py\", line 3257, in ansible_facts\r\n  File \"/tmp/ansible_nzziCQ/ansible_modlib.zip/ansible/module_utils/facts.py\", line 1002, in populate\r\n  File \"/tmp/ansible_nzziCQ/ansible_modlib.zip/ansible/module_utils/facts.py\", line 132, in wrapper\r\nUnboundLocalError: local variable 'seconds' referenced before assignment\r\n", "msg": "MODULE FAILURE", "parsed": false}
fatal: [openshift-102.lab.eng.nay.redhat.com]: FAILED! => {"changed": false, "failed": true, "module_stderr": "", "module_stdout": "Traceback (most recent call last):\r\n  File \"/tmp/ansible_598moM/ansible_module_openshift_facts.py\", line 2150, in <module>\r\n    main()\r\n  File \"/tmp/ansible_598moM/ansible_module_openshift_facts.py\", line 2131, in main\r\n    protected_facts_to_overwrite)\r\n  File \"/tmp/ansible_598moM/ansible_module_openshift_facts.py\", line 1603, in __init__\r\n    self.system_facts = ansible_facts(module, ['hardware', 'network', 'virtual', 'facter'])\r\n  File \"/tmp/ansible_598moM/ansible_modlib.zip/ansible/module_utils/facts.py\", line 3257, in ansible_facts\r\n  File \"/tmp/ansible_598moM/ansible_modlib.zip/ansible/module_utils/facts.py\", line 1002, in populate\r\n  File \"/tmp/ansible_598moM/ansible_modlib.zip/ansible/module_utils/facts.py\", line 132, in wrapper\r\nUnboundLocalError: local variable 'seconds' referenced before assignment\r\n", "msg": "MODULE FAILURE", "parsed": false}
...

Version-Release number of selected component (if applicable):
3.3/2016-08-09.3
ansible-2.2.0-0.2.pi.el7.noarch.rpm
openshift-ansible-3.3.8-1.git.0.91405ce.el7.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. Run an installation using 3.3/2016-08-09.3 puddle
2.
3.

Actual results:
installation failed

Expected results:
installation succeed

Additional info:
When using openshift-ansible git repo's master branch + ansible-2.2, it works well.

Comment 1 Johnny Liu 2016-08-11 02:44:49 UTC
Re-test this bug with 3.3/2016-08-10.5 puddle, no such issue now. Once move this bug to ON_QA, will verify it.

Comment 2 Gan Huang 2016-08-12 06:55:43 UTC
Verified with 
openshift-ansible-3.3.9-1.git.0.ed8fd1b.el7.noarch.rpm
ansible-2.2.0-0.3.prerelease.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.